Berkeley DB Java Edition version 3.2.76

## com.sleepycat.je
Class DeadlockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException
                  com.sleepycat.je.DeadlockException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LockNotGrantedException

    public class DeadlockException

extends DatabaseException

DeadlockException is thrown to a thread of control when multiple threads competing for a lock are deadlocked or when a lock request would need to block and the transaction has been configured to not wait for locks. The exception carrys two arrays of transaction ids, one of the owners and the other of the waiters, at the time of the timeout.

See Also:
  Serialized Form

Method Summary
`long` `getOwnerTxnIds()` Returns an array of longs containing transaction ids of owners at the the time of the timeout.
`long` `getWaiterTxnIds()` Returns an array of longs containing transaction ids of waiters at the the time of the timeout.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getOwnerTxnIds

    public long getOwnerTxnIds()

  Returns an array of longs containing transaction ids of owners at the the time of the timeout.

  Returns:
    an array of longs containing transaction ids of owners at the the time of the timeout.

### getWaiterTxnIds

    public long getWaiterTxnIds()

  Returns an array of longs containing transaction ids of waiters at the the time of the timeout.

  Returns:
    an array of longs containing transaction ids of waiters at the the time of the timeout.

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.